Subject: 29.0.60; native compilation issues
From: Al Haji-Ali <[email-masked]>
To: [email-masked]
Date: Thu, 02 Mar 2023 15:18:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've ran into a few issues with native compilation that I would like to report here in case they are unintentional bugs.

- First, native-compiling a simple file like

(defun test ()
  '(A . B))

after setting a non-zero native-comp-verbose, for example by running:

(let ((native-comp-verbose 1))
    (native-compile buffer-file-name))

gives the error `wrong-type-argument (listp B)`
in `comp-prettyformat-insn`

- Another issue I noticed is that if a file has `no-native-compile: t` and I call `emacs-lisp-native-compile-and-load` anyways on it, I get an error: `Wrong type argument: stringp, nil`. Not sure if this is intended.

- I've also had the following error when compiling a large file with many components (if more information is needed, I can try to pinpoint the reason once verbose debugging is fixed as it is making debugging difficult)

libgccjit.so: error: gcc_jit_context_new_call_through_ptr: mismatching types for argument 1 of fn_ptr: freloc->R64656c6574652d726567696f6e_delete_region_0: assignment to param 1 (type: struct Lisp_X *) from (long long)2 (type: long long)

Best regards,
-- Al